Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build/spec.c File Reference

Handle spec data structure. More...

`#include "system.h"`
`#include "buildio.h"`
`#include "rpmfi.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | SKIPWHITE(_x) {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}
#define | SKIPNONWHITE(_x) {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}
## Functions
TriggerFileEntry * | freeTriggerFiles (struct TriggerFileEntry *p)
Source * | freeSources (struct Source *s)
| Destroy source component chain. More...
int | lookupPackage (Spec spec, const char *name, int flag, Package *pkg)
Package | newPackage (Spec spec)
Package | freePackage (Package pkg)
Package | freePackages (Package packages)
Source * | findSource (Spec spec, int num, int flag)
int | parseNoSource (Spec spec, const char *field, int tag)
int | addSource (Spec spec, Package pkg, const char *field, int tag)
speclines | newSl (void)
speclines | freeSl (speclines sl)
spectags | newSt (void)
spectags | freeSt (spectags st)
Spec | newSpec (void)
Spec | freeSpec (Spec spec)
OpenFileInfo * | newOpenFileInfo (void)
## Variables
int | specedit

## Detailed Description

Handle spec data structure.

Definition in file spec.c.

## Define Documentation

#define SKIPNONWHITE | ( | _x |  | ) | {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}

| Definition at line 18 of file spec.c.

#define SKIPWHITE | ( | _x |  | ) | {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}

| Definition at line 17 of file spec.c.

## Function Documentation

struct Source* findSource | ( | Spec | spec,
|  | int | num,
|  | int | flag
| ) | `[inline, static]`

| Definition at line 195 of file spec.c. References Source::flags, Source::next, and Source::num. Referenced by parseNoSource.

speclines freeSl | ( | speclines | sl | ) | `[inline, static]`

| Definition at line 369 of file spec.c. References _free, and speclines_s::sl_lines. Referenced by freeSpec.

struct Source* freeSources | ( | struct Source * | s | ) | `[inline, static]`

  | Destroy source component chain. Parameters:
  s | source component chain
Returns: NULL always Definition at line 50 of file spec.c. References _free, Source::fullSource, and Source::next. Referenced by freePackage, and freeSpec.

spectags freeSt | ( | spectags | st | ) | `[inline, static]`

| Definition at line 402 of file spec.c. References _free, spectags_s::st_t, spectag_s::t_lang, and spectag_s::t_msgid. Referenced by freeSpec.

struct TriggerFileEntry* freeTriggerFiles | ( | struct TriggerFileEntry * | p | ) | `[inline, static]`

  | Parameters:
  p | trigger entry chain
Returns: NULL always Definition at line 28 of file spec.c. References _free, TriggerFileEntry::fileName, TriggerFileEntry::next, TriggerFileEntry::prog, and TriggerFileEntry::script. Referenced by freePackage.

speclines newSl | ( | void |  | ) | `[inline, static]`

| Definition at line 351 of file spec.c. References speclines_s::sl_lines, speclines_s::sl_nalloc, speclines_s::sl_nlines, and xmalloc. Referenced by newSpec.

spectags newSt | ( | void |  | ) | `[inline, static]`

| Definition at line 385 of file spec.c. References spectags_s::st_nalloc, spectags_s::st_ntags, spectags_s::st_t, and xmalloc. Referenced by newSpec.

## Variable Documentation

int specedit

| Definition at line 14 of file spec.c.